Bug 133650 - libtiff is not using RPM_OPT_FLAGS for CFLAGS
Summary: libtiff is not using RPM_OPT_FLAGS for CFLAGS
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtiff   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3BugWeekTracker
TreeView+ depends on / blocked
 
Reported: 2004-09-25 17:52 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
2 users (show)

Fixed In Version: 3.6.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 12:47:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arjan van de Ven 2004-09-25 17:52:23 UTC
Description of problem:

libtiff is not using the RPM_OPT_FLAGS for the CFLAGS and is thus not
tuned for i686 but only for i386

Comment 1 Michael Schwendt 2004-09-27 18:47:16 UTC
--- libtiff.spec.orig   2004-06-15 16:39:33.000000000 +0200
+++ libtiff.spec        2004-09-27 20:48:53.022642496 +0200
@@ -71,7 +71,7 @@
 ln -s libtiff.so.%{LIBVER} libtiff.so
 cd ..
 export LDOPTS=-s
-make LIBJPEG="-L%{_libdir} -ljpeg" LIBGZ="-L%{_libdir} -lz"
%{?_smp_mflags}
+make OPTIMIZER="${RPM_OPT_FLAGS}" LIBJPEG="-L%{_libdir} -ljpeg"
LIBGZ="-L%{_libdir} -lz" %{?_smp_mflags}
 
 %install
 [ "$RPM_BUILD_DIR" ] && rm -fr $RPM_BUILD_ROOT

Comment 2 Rik van Riel 2004-09-27 19:24:23 UTC
Patch applied and a new package is building.  Thank you, Michael.

Comment 3 Marcin Garski 2004-10-01 12:47:41 UTC
Verified - looks fine in current versions.


Note You need to log in before you can comment on or make changes to this bug.